Bug 88817 - record changes: change in heading incorrectly presented in table of contents
Summary: record changes: change in heading incorrectly presented in table of contents
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2015-01-27 07:37 UTC by Ulrich Windl
Modified: 2019-12-19 10:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT document (two versions) showing the problem (27.39 KB, application/vnd.oasis.opendocument.text)
2015-01-30 08:01 UTC, Ulrich Windl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2015-01-27 07:37:37 UTC
When you change a heading with "record changes" active, and then refresh the table of contents, the changed area has no markups, but just concatenated old and new text. This may be related to bug 61832 (IMHO).
Comment 1 Buovjaga 2015-01-29 20:22:25 UTC
Could not reproduce lack of strikethrough when removing characters from heading and updating TOC.

Updating the TOC doesn't actually update the heading entry in it, though.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 2 Ulrich Windl 2015-01-30 08:01:38 UTC
Created attachment 112942 [details]
Sample ODT document (two versions) showing the problem

I can reproduce the problem in 4.2.8 (Windows 7 64-bit).
Comment 3 Buovjaga 2015-01-30 16:15:02 UTC
Oh you mean "concatenated old and new text" *in the TOC*. That, I can confirm.

Let's set this to NEW.
Comment 4 QA Administrators 2016-02-21 08:36:22 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:28:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306